Debian Bug report logs - #590629
ITP: mongrel2 -- a small fast web server agnostic to applications and languages

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Miguel Landaeta <miguel@miguel.cc>

Date: Tue, 27 Jul 2010 23:03:02 UTC

Owned by: jan@debian.org

Severity: wishlist

Fixed in version mongrel2/1.8.1-devel-20130603-1

Done: Jan Niehusmann <jan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, miguel@miguel.cc, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#590629; Package wnpp. (Tue, 27 Jul 2010 23:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
New Bug report received and forwarded. Copy sent to miguel@miguel.cc, debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 27 Jul 2010 23:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: mongrel2 -- a small fast web server agnostic to applications and languages
Date: Tue, 27 Jul 2010 18:29:13 -0430
Package: wnpp
Severity: wishlist
Owner: Miguel Landaeta <miguel@miguel.cc>

* Package name    : mongrel2
  Version         : 0.9.20100727
  Upstream Author : Zed A. Shaw and Mongrel2 Project Contributors.
* URL             : http://www.mongrel2.org/
* License         : BSD
  Programming Lang: C, Python
  Description     : small fast web server agnostic to applications and languages

 Mongrel2 is the complete redesign of the Mongrel web server to be an
 application, language, and network architecture agnostic web server. It's
 written by the original author of Mongrel, and uses the Mongrel HTTP parser,
 but everything else is new. The goal is to create a web server specifically
 designed for web applications over serving files.



This software is still under heavy development and it should
not be included in squeeze, but since I'm interested in
several features of this software I plan to prepare and
maintain this package. It would be good if this package
could have some co-maintainers (e.g. current mongrel
maintainers), though so far mongrel2 packaging is very
simple and a preliminar package can be built from
http://git.debian.org/?p=collab-maint/mongrel2.git.

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x7D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche




Added blocking bug(s) of 590629: 511253 Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Tue, 27 Jul 2010 23:54:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#590629; Package wnpp. (Fri, 08 Oct 2010 16:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 08 Oct 2010 16:21:03 GMT) Full text and rfc822 format available.

Message #12 received at 590629@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: 590629@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: ITP: mongrel2 -- a small fast web server agnostic to applications and languages
Date: Fri, 8 Oct 2010 11:46:28 -0430
unblock 590629 by 511253
thanks

Upstream dropped all dependences on Python,
there are some examples in the code using python-storm
so this package could Recommends or Suggest that package.

The project also reached 1.0 milestone, so I guess this
could be included in Debian after the freeze.

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x7D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche




Removed blocking bug(s) of 590629: 511253 Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Fri, 08 Oct 2010 16:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miguel Landaeta <miguel@miguel.cc>:
Bug#590629; Package wnpp. (Wed, 27 Jul 2011 16:32:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miguel Landaeta <miguel@miguel.cc>. (Wed, 27 Jul 2011 16:32:06 GMT) Full text and rfc822 format available.

Message #19 received at 590629@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 590629@bugs.debian.org
Cc: control@bugs.debian.org
Subject: mongrel2: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:33 +0200
retitle 590629 RFP: mongrel2 -- a small fast web server agnostic to applications and languages
noowner 590629
thanks

Hi,

This is an automatic email to change the status of mongrel2 back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting mongrel2, please send a mail to
<control@bugs.debian.org> with:

 retitle 590629 ITP: mongrel2 -- a small fast web server agnostic to applications and languages
 owner 590629 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <590629@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: mongrel2 -- a small fast web server agnostic to applications and languages' from 'ITP: mongrel2 -- a small fast web server agnostic to applications and languages' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:47:24 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Miguel Landaeta <miguel@miguel.cc>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:47:25 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#590629; Package wnpp. (Wed, 27 Jul 2011 16:57:58 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 27 Jul 2011 16:57:58 GMT) Full text and rfc822 format available.

Message #28 received at 590629@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: 590629@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#590629: mongrel2: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:36:50 +0200
retitle 590629 ITP: mongrel2 -- a small fast web server agnostic to
applications and languages
owner 590629 !
thanks

Sorry, currently I lack time to complete this ITP but I still intend to
package this.

I'll try to complete this task soon.

On Wed, Jul 27, 2011 at 6:02 PM, Lucas Nussbaum <lucas@debian.org> wrote:
> If you are still interested in adopting mongrel2, please send a mail to
> <control@bugs.debian.org> with:
>
>  retitle 590629 ITP: mongrel2 -- a small fast web server agnostic to applications and languages
>  owner 590629 !
>  thanks


-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x7D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche




Changed Bug title to 'ITP: mongrel2 -- a small fast web server agnostic to' from 'RFP: mongrel2 -- a small fast web server agnostic to applications and languages' Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:58:33 GMT) Full text and rfc822 format available.

Owner recorded as Miguel Landaeta <miguel@miguel.cc>. Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:58:33 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: mongrel2 -- a small fast web server agnostic to applications and languages' from 'ITP: mongrel2 -- a small fast web server agnostic to' Request was from Miguel Landaeta <miguel@miguel.cc> to control@bugs.debian.org. (Wed, 27 Jul 2011 18:03:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miguel Landaeta <miguel@miguel.cc>:
Bug#590629; Package wnpp. (Thu, 21 Mar 2013 11:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin Karneges <justin@affinix.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miguel Landaeta <miguel@miguel.cc>. (Thu, 21 Mar 2013 11:39:09 GMT) Full text and rfc822 format available.

Message #39 received at 590629@bugs.debian.org (full text, mbox):

From: Justin Karneges <justin@affinix.com>
To: 590629@bugs.debian.org
Subject: Re: ITP: mongrel2 -- a small fast web server agnostic to applications and languages
Date: Thu, 21 Mar 2013 04:35:46 -0700
[Message part 1 (text/plain, inline)]
I am looking to package this, probably in a ppa at first until I'm satisfied 
with it.

Plan will be to create two packages: mongrel2-core and mongrel2. Former will 
contain everything except for default config and startup scripts. Latter will 
depend on core and include the rest. The reason for the split is to allow 
applications to utilize mongrel2 in an embedded way, which is what I primarily 
need it for.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#590629; Package wnpp. (Thu, 21 Mar 2013 12:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 21 Mar 2013 12:30:04 GMT) Full text and rfc822 format available.

Message #44 received at 590629@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: Justin Karneges <justin@affinix.com>, 590629@bugs.debian.org
Subject: Re: Bug#590629: ITP: mongrel2 -- a small fast web server agnostic to applications and languages
Date: Thu, 21 Mar 2013 09:25:56 -0300
Hi Justin,

On Thu, Mar 21, 2013 at 8:35 AM, Justin Karneges <justin@affinix.com> wrote:
> Plan will be to create two packages: mongrel2-core and mongrel2. Former will
> contain everything except for default config and startup scripts. Latter
> will depend on core and include the rest. The reason for the split is to
> allow applications to utilize mongrel2 in an embedded way, which is what I
> primarily need it for.

It sounds like a good idea. Just let me know when you have working
packages so I can help you with the testing and maybe with getting the
packages in Debian. In a couple of months or so it should begin the
development of the next Debian release so the timing of this is just
right.

Please go ahead and take ownership of this ITP.

Best regards,

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x6E608B637D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miguel Landaeta <miguel@miguel.cc>:
Bug#590629; Package wnpp. (Fri, 12 Apr 2013 16:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Justin Karneges <justin@affinix.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miguel Landaeta <miguel@miguel.cc>. (Fri, 12 Apr 2013 16:45:04 GMT) Full text and rfc822 format available.

Message #49 received at 590629@bugs.debian.org (full text, mbox):

From: Justin Karneges <justin@affinix.com>
To: Miguel Landaeta <miguel@miguel.cc>
Cc: 590629@bugs.debian.org
Subject: Re: Bug#590629: ITP: mongrel2 -- a small fast web server agnostic to applications and languages
Date: Fri, 12 Apr 2013 09:40:59 -0700
On 03/21/2013 05:25 AM, Miguel Landaeta wrote:
> Hi Justin,
>
> On Thu, Mar 21, 2013 at 8:35 AM, Justin Karneges <justin@affinix.com> wrote:
>> Plan will be to create two packages: mongrel2-core and mongrel2. Former will
>> contain everything except for default config and startup scripts. Latter
>> will depend on core and include the rest. The reason for the split is to
>> allow applications to utilize mongrel2 in an embedded way, which is what I
>> primarily need it for.
>
> It sounds like a good idea. Just let me know when you have working
> packages so I can help you with the testing and maybe with getting the
> packages in Debian. In a couple of months or so it should begin the
> development of the next Debian release so the timing of this is just
> right.
>
> Please go ahead and take ownership of this ITP.
>
> Best regards,
>

Okay, I've got an apt repo here:

http://packages.fanout.io/debian/

It contains the mongrel2-core package of the latest git develop branch. 
I did not try to create the higher level "mongrel2" package yet. I've 
made the source package available, which I believe should contain 
whatever it is that I did.

Justin



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#590629; Package wnpp. (Wed, 05 Jun 2013 14:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 05 Jun 2013 14:51:04 GMT) Full text and rfc822 format available.

Message #54 received at 590629@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: Jan Niehusmann <jan@debian.org>
Cc: 590629@bugs.debian.org, Justin Karneges <justin@affinix.com>
Subject: Re: Bug#590629: ITP: mongrel2 -- a small fast web server agnostic to applications and languages
Date: Wed, 5 Jun 2013 11:46:41 -0300
[Message part 1 (text/plain, inline)]
On Wed, Jun 5, 2013 at 11:18 AM, Jan Niehusmann <jan@debian.org> wrote:

> On Thu, Mar 21, 2013 at 09:25:56AM -0300, Miguel Landaeta wrote:
> > Hi Justin,
> [...]
> > Please go ahead and take ownership of this ITP.
>
> As I work together with Justin on a mongrel2 package, and I'll probably
> be the one uploading it, I just set myself as the owner of this ITP.
>


Hi everyone,

I'm still interested in it but right now I don't have time to maintain the
package so please go ahead to upload it and take over
the maintainership along with Justin.

I'll keep an eye on the package and jump in a co-maintainer later when/if
time permits.

Thanks for taking care of this.

Cheers,


-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x6E608B637D8967E9 available at
http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miguel Landaeta <miguel@miguel.cc>:
Bug#590629; Package wnpp. (Wed, 05 Jun 2013 15:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Niehusmann <jan@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miguel Landaeta <miguel@miguel.cc>. (Wed, 05 Jun 2013 15:12:04 GMT) Full text and rfc822 format available.

Message #59 received at 590629@bugs.debian.org (full text, mbox):

From: Jan Niehusmann <jan@debian.org>
To: 590629@bugs.debian.org, Miguel Landaeta <miguel@miguel.cc>
Cc: Justin Karneges <justin@affinix.com>
Subject: Re: Bug#590629: ITP: mongrel2 -- a small fast web server agnostic to applications and languages
Date: Wed, 5 Jun 2013 16:18:10 +0200
Owner: Jan Niehusmann <jan@debian.org>

Hi Miguel,

On Thu, Mar 21, 2013 at 09:25:56AM -0300, Miguel Landaeta wrote:
> Hi Justin,
[...]
> Please go ahead and take ownership of this ITP.

As I work together with Justin on a mongrel2 package, and I'll probably
be the one uploading it, I just set myself as the owner of this ITP.

I hope that's ok with you. Of course, I'm always in favour of
co-maintainership, so if you like, we can just work on it together.

But as the last update to the alioth git repo was 23 months ago, I wonder
if you are still interested in mongrel2?

Regards,
Jan



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 02 Jul 2013 20:06:06 GMT) Full text and rfc822 format available.

Owner changed from Miguel Landaeta <miguel@miguel.cc> to jan@debian.org. Request was from Jan Niehusmann <jan@debian.org> to control@bugs.debian.org. (Mon, 08 Jul 2013 20:30:13 GMT) Full text and rfc822 format available.

Reply sent to Jan Niehusmann <jan@debian.org>:
You have taken responsibility. (Fri, 09 Aug 2013 23:03:09 GMT) Full text and rfc822 format available.

Notification sent to Miguel Landaeta <miguel@miguel.cc>:
Bug acknowledged by developer. (Fri, 09 Aug 2013 23:03:09 GMT) Full text and rfc822 format available.

Message #68 received at 590629-close@bugs.debian.org (full text, mbox):

From: Jan Niehusmann <jan@debian.org>
To: 590629-close@bugs.debian.org
Subject: Bug#590629: fixed in mongrel2 1.8.1-devel-20130603-1
Date: Fri, 09 Aug 2013 23:00:22 +0000
Source: mongrel2
Source-Version: 1.8.1-devel-20130603-1

We believe that the bug you reported is fixed in the latest version of
mongrel2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 590629@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jan Niehusmann <jan@debian.org> (supplier of updated mongrel2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 03 Jun 2013 16:30:11 +0200
Source: mongrel2
Binary: mongrel2-core
Architecture: source amd64
Version: 1.8.1-devel-20130603-1
Distribution: experimental
Urgency: low
Maintainer: Jan Niehusmann <jan@debian.org>
Changed-By: Jan Niehusmann <jan@debian.org>
Description: 
 mongrel2-core - programming language agnostic web server (binaries)
Closes: 590629
Changes: 
 mongrel2 (1.8.1-devel-20130603-1) experimental; urgency=low
 .
   * Initial release (Closes: #590629)
Checksums-Sha1: 
 556077cb8f64d731bd5bce9a4e70d7d3d915d88f 1531 mongrel2_1.8.1-devel-20130603-1.dsc
 6c8d8daac7f5f97cfe518efa8b0883a9cf69b0bb 877341 mongrel2_1.8.1-devel-20130603.orig.tar.bz2
 afdd7a643918b5f540d800bdb05345dc71dfca11 19387 mongrel2_1.8.1-devel-20130603-1.debian.tar.gz
 bc5c20a7cb309f4cc0f3f5aff0a372beedf0dd1b 717512 mongrel2-core_1.8.1-devel-20130603-1_amd64.deb
Checksums-Sha256: 
 a23af1ff6c471eada664da6c07cf039a3e97a3d7d46f4eded0b4a63719746873 1531 mongrel2_1.8.1-devel-20130603-1.dsc
 a1315fae4bb71ff0098f4df496b7c446be6f046962f420c334790a9fbd02d589 877341 mongrel2_1.8.1-devel-20130603.orig.tar.bz2
 537ecab36280227f826a86d2bdba57228d2b469e3643ea30307d088f9d2e1207 19387 mongrel2_1.8.1-devel-20130603-1.debian.tar.gz
 24748279c1f98c91a91a55dc95fa3e7cd4f154375e19462b27008613166d9c28 717512 mongrel2-core_1.8.1-devel-20130603-1_amd64.deb
Files: 
 9fdbb687f982c7b5126eaaff32b5811d 1531 httpd optional mongrel2_1.8.1-devel-20130603-1.dsc
 5658377bc594102f61dd4255b688eed5 877341 httpd optional mongrel2_1.8.1-devel-20130603.orig.tar.bz2
 4be9984ce227ef867d957eac49d47b4c 19387 httpd optional mongrel2_1.8.1-devel-20130603-1.debian.tar.gz
 80de72303df51f242621c83d5941184a 717512 httpd optional mongrel2-core_1.8.1-devel-20130603-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iJwEAQECAAYFAlHS+UAACgkQgUvx9im0394K6AQAoqCjrdiZjsqNMPxj+uui69nU
WQa2Z/hO/AUxH8k4TKhwTPeKdptgCeJLNFtixhaNpjf0uvXqXzxtg3ZT6/fXuwui
GMw/smurcE8qclt4nVSXYNnTZExplAYOmw10DkEiFYdONSfDwX/1RC/5VWDN285g
9zTaLDZHSCAJkyRQbHM=
=OinO
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 07 Sep 2013 07:28:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:04:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.